Name:                ws-xmlschema
Version:             2.2.1
Release:             1
Summary:             Apache XMLSchema
License:             ASL 2.0
URL:                 http://ws.apache.org/xmlschema/
Source0:             http://archive.apache.org/dist/ws/xmlschema/%{version}/xmlschema-%{version}-source-release.zip

BuildRequires:       maven-local mvn(org.apache:apache:pom:)
BuildRequires:       mvn(org.apache:apache-jar-resource-bundle)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildArch:           noarch

%description
Apache XMLSchema is a light weight schema object model that can be
used to manipulate or generate XML schema. It has very few external
dependencies and can be easily integrated into an existing project.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%package parent
Summary:             XMLSchema Parent POM
%description parent
XMLSchema Parent POM.

%package walker
Summary:             XMLSchema Walker
%description walker
Code to walk an XML Schema and confirm an XML Document conforms to it.

%prep
%setup -q -n xmlschema-%{version}
%pom_disable_module xmlschema-bundle-test
%pom_disable_module w3c-testcases
sed -i.orig 's|\r||g' RELEASE-NOTE.txt
touch -r RELEASE-NOTE.txt.orig RELEASE-NOTE.txt
rm RELEASE-NOTE.txt.orig

%build
%mvn_build -sf -- -Pfastinstall

%install
%mvn_install

%files -f .mfiles-xmlschema-core
%doc README.txt RELEASE-NOTE.txt
%license LICENSE NOTICE

%files parent -f .mfiles-xmlschema
%license LICENSE NOTICE

%files walker -f .mfiles-xmlschema-walker

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Mon Aug 17 2020 maminjie <maminjie1@huawei.com> - 2.2.1-1
- package init
